Announcement

Announcement Module
Collapse
No announcement yet.

Problems installing on Snow Leopard

Page Title Module
Move Remove Collapse
X
Conversation Detail Module
Collapse
  • Filter
  • Time
  • Show
Clear All
new posts

  • Problems installing on Snow Leopard

    I recently upgraded to Snow Leopard, and tried to reinstall the percona build of MySQL. It led to these errors. I've seen others have trouble with gcc v4.1 and greater. I'm currently on gcc 4.2.1.

    It looks like this is related to the bug report at launchpad:
    https://bugs.launchpad.net/percona-patches/+bug/340273

    Any help would be appreciated.


    In file included from ../../include/../storage/innobase/include/sync0rw.h:522, from ../../include/../storage/innobase/include/dict0mem.h:23, from ../../include/../storage/innobase/include/dict0dict.h:14, from ../../include/../storage/innobase/include/rem0rec.ic:11, from ../../include/../storage/innobase/include/rem0rec.h:806, from ../../include/../storage/innobase/include/btr0sea.h:14, from handler/ha_innodb.cc:41:../../include/../storage/innobase/include/sync0rw.ic: In function 'void rw_lock_x_unlock_func(rw_lock_t*)':../../include/../storage/innobase/include/sync0rw.ic:641: error: invalid conversion from 'int' to '_opaque_pthread_t*'make[2]: *** [libinnobase_a-ha_innodb.o] Error 1make[1]: *** [all-recursive] Error 1make: *** [all-recursive] Error 1

  • #2
    I've asked the head of our dev team to take a look at your message.

    Comment

    Working...
    X